__gnu_cxx::typelist Namespace Reference

## Functions

template<typename Fn , typename Typelist >
void | apply (Fn &, Typelist)
template<typename Fn , typename Typelist >
void | apply_generator (Fn &fn, Typelist)
template<typename Fn , typename TypelistT , typename TypelistV >
void | apply_generator (Fn &fn, TypelistT, TypelistV)
template<typename Gn , typename Typelist >
void | apply_generator (Gn &, Typelist)
template<typename Gn , typename TypelistT , typename TypelistV >
void | apply_generator (Gn &, TypelistT, TypelistV)

## Detailed Description

GNU typelist extensions for public compile-time use.

## Function Documentation

## apply()

template<typename Fn , typename Typelist >

void __gnu_cxx::typelist::apply | ( | Fn & | fn,
|  | Typelist |
| ) |  |

Definition at line 382 of file typelist.h.

## apply_generator() [1/3]

template<typename Fn , typename Typelist >

void __gnu_cxx::typelist::apply_generator | ( | Fn & | fn,
|  | Typelist |
| ) |  |

Definition at line 390 of file typelist.h.

## apply_generator() [2/3]

template<typename Fn , typename TypelistT , typename TypelistV >

void __gnu_cxx::typelist::apply_generator | ( | Fn & | fn,
|  | TypelistT | ,
|  | TypelistV |
| ) |  |

Definition at line 398 of file typelist.h.

## apply_generator() [3/3]

template<typename Gn , typename Typelist >

void __gnu_cxx::typelist::apply_generator | ( | Gn & | ,
|  | Typelist |
| ) |  |

Apply all typelist types to generator functor.